Name:           perl-CPAN-02Packages-Search
Version:        0.100
Release:    1%{?dist}
Summary:        Search Perl modules in 02packages.details.txt
License:        GPL-1.0-or-later OR Artistic-1.0-Perl
URL:            https://metacpan.org/release/CPAN-02Packages-Search
Source0:        https://cpan.metacpan.org/authors/id/S/SK/SKAJI/CPAN-02Packages-Search-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(:VERSION) >= 5.8.1
BuildRequires:  perl(Config)
BuildRequires:  perl(Module::Build::Tiny) >= 0.034
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
BuildRequires:  perl(Search::Dict) >= 1.07
BuildRequires:  perl(Symbol)
BuildRequires:  perl(Tie::Handle::SkipHeader) >= 0.004
BuildRequires:  perl(Test::More)
Requires:       perl(Search::Dict) >= 1.07
Requires:       perl(Tie::Handle::SkipHeader) >= 0.004

%global __requires_exclude %{?__requires_exclude:%{__requires_exclude|}}^perl\\((Search::Dict|Tie::Handle::SkipHeader)\\)$

%description
CPAN::02Packages::Search allows you to search Perl modules in the de facto
standard CPAN index file 02packages.details.txt.

%package tests
Summary:        Tests for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       perl-Test-Harness

%description tests
Tests from %{name}. Execute them
with "%{_libexecdir}/%{name}/test".

%prep
%setup -q -n CPAN-02Packages-Search-%{version}
for F in t/*.t; do
    perl -i -MConfig -ple 'print $Config{startperl} if $. == 1' "$F"
    chmod +x "$F"
done

%build
perl Build.PL --installdirs=vendor
./Build

%install
./Build install --destdir=%{buildroot} --create_packlist=0
%{_fixperms} %{buildroot}/*
mkdir -p %{buildroot}%{_libexecdir}/%{name}
cp -a t %{buildroot}%{_libexecdir}/%{name}
cat > %{buildroot}%{_libexecdir}/%{name}/test << 'EOF'
cd %{_libexecdir}/%{name} && exec prove -I . -j "$(getconf _NPROCESSORS_ONLN)"
EOF
chmod +x %{buildroot}%{_libexecdir}/%{name}/test

%check
export HARNESS_OPTIONS=j$(perl -e 'if ($ARGV[0] =~ /.*-j([0-9][0-9]*).*/) {print $1} else {print 1}' -- '%{?_smp_mflags}')
./Build test

%files
%license LICENSE
%doc Changes
%dir %{perl_vendorlib}/CPAN
%dir %{perl_vendorlib}/CPAN/02Packages
%{perl_vendorlib}/CPAN/02Packages/Search.pm
%{_mandir}/man3/CPAN::02Packages::Search.3pm.*

%files tests
%{_libexecdir}/%{name}

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.100-1
- initial build
